Subject: Re: <fsl,qman-channel-id> in dts file

From: Emil Medve <[email-masked]>
Date: Tue, 10 Jun 2014 08:18:17 -0500

Hello Tony,

On 06/09/2014 10:28 AM, Tony wrote:
> Thank Emil.
> 
> Where can i find the details about a 'diff' of qman revisions ?

Let me look if someody bothered to write an AN about this

> The code
> i ported doesnt support latest qman revision (REV3).

Ported from what (I suspect) SDK release? v1.5 should already have
support for the latest xMan revision(s)

> Can i still work on
> qman REV1.1 for all the latest targets ? (read t-series)

I'm inclined to say yes (of course the new features will not be
available), but I need to have a look at the code to see with what
limitations

Cheers,

> Regards
> 
> 
> On Mon, Jun 9, 2014 at 8:32 PM, Emil Medve <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hello Tony,
> 
> 
>     On 06/09/2014 06:43 AM, Tony wrote:
>     > How's the fsl,qman-channel-id value different for different targets ?
> 
>     Channel ids are assigned in hardware
> 
>     > Is there any document on how this value is achieved ?
> 
>     They are described in the RM of each SoC and in the DPAA RM
> 
>     > Or can it be any value ???
> 
>     Nope. It must be the right value or frames will end up in the wrong
>     portal or worse
> 
> 
>     Cheers,
> 
> 
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev